%define pname django-mako
%define __pymake %{__python} setup.py
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-%{pname}
Version:        0.1.5pre
Release:        1%{?dist}
Summary:		Provides a drop in replacement of django templates for mako templates.

Group:          Development/Languages
License:        Python
Source0:		http://pypi.python.org/packages/source/d/%{pname}/%{pname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

Requires:       python-Mako

%description
This module provides a drop in replacement of django templates for mako templates.


%prep
%setup -q -n %{pname}-%{version}

# Fix rpmlint warnings
chmod -x *.txt || true

%build
export libdirname=%{_lib}
CFLAGS="$RPM_OPT_FLAGS" %{__pymake} build


%install
rm -rf %{buildroot}

export libdirname=%{_lib}
%{__pymake} install --skip-build --root=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Sun Mar 25 2012 JoungKyun.Kim <http://oops.org> 0.1.5pre-1%{?dist}
- init
